Package com.databricks.jdbc.model.telemetry.enums

## Enum DatabricksDriverErrorCode

- java.lang.Object
- - java.lang.Enum<DatabricksDriverErrorCode>
  - - com.databricks.jdbc.model.telemetry.enums.DatabricksDriverErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabricksDriverErrorCode>`

    public enum DatabricksDriverErrorCode
    extends Enum<DatabricksDriverErrorCode>

### Enum Constant Summary

Enum Constants
`AUTH_ERROR`
`BATCH_EXECUTE_EXCEPTION`
`CATALOG_OR_SCHEMA_FETCH_ERROR`
`CHUNK_DOWNLOAD_ERROR`
`CHUNK_READY_ERROR`
`COMPLEX_DATA_TYPE_ARRAY_CONVERSION_ERROR`
`COMPLEX_DATA_TYPE_MAP_CONVERSION_ERROR`
`COMPLEX_DATA_TYPE_STRUCT_CONVERSION_ERROR`
`CONNECTION_CLOSED`
`CONNECTION_ERROR`
`DECOMPRESSION_ERROR`
`EXECUTE_STATEMENT_CANCELLED`
`EXECUTE_STATEMENT_FAILED`
`INLINE_CHUNK_PARSING_ERROR`
`INPUT_VALIDATION_ERROR`
`INTEGRATION_TEST_ERROR`
`INVALID_CHUNK_STATE_TRANSITION`
`INVALID_STATE`
`JSON_PARSING_ERROR`
`LOGGING_INITIALISATION_ERROR`
`NOT_IMPLEMENTED_OPERATION`
`OPERATION_TIMEOUT_ERROR`
`RATE_LIMIT_EXCEEDED`
`RESULT_SET_CLOSED`
`RESULT_SET_ERROR`
`SDK_CLIENT_ERROR`
`SESSION_ID_PARSING_EXCEPTION`
`SSL_HANDSHAKE_ERROR`
`STATEMENT_CLOSED`
`STATEMENT_EXECUTION_TIMEOUT`
`TEMPORARY_REDIRECT_EXCEPTION`
`THREAD_INTERRUPTED_ERROR`
`TRANSACTION_COMMIT_ERROR`
`TRANSACTION_ROLLBACK_ERROR`
`TRANSACTION_SET_AUTOCOMMIT_ERROR`
`UNSUPPORTED_OPERATION`
`VOLUME_OPERATION_DELETE_OPERATION_EXCEPTION`
`VOLUME_OPERATION_EXCEPTION`
`VOLUME_OPERATION_FILE_DOWNLOAD_ERROR`
`VOLUME_OPERATION_INVALID_STATE`
`VOLUME_OPERATION_LOCAL_FILE_EXISTS_ERROR`
`VOLUME_OPERATION_PARSING_ERROR`
`VOLUME_OPERATION_PUT_OPERATION_EXCEPTION`
`VOLUME_OPERATION_URL_GENERATION_ERROR`

### Method Summary

All Methods Static Methods Concrete Methods
`static DatabricksDriverErrorCode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DatabricksDriverErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECTION_ERROR

    public static final DatabricksDriverErrorCode CONNECTION_ERROR

#### CHUNK_DOWNLOAD_ERROR

    public static final DatabricksDriverErrorCode CHUNK_DOWNLOAD_ERROR

#### EXECUTE_STATEMENT_FAILED

    public static final DatabricksDriverErrorCode EXECUTE_STATEMENT_FAILED

#### EXECUTE_STATEMENT_CANCELLED

    public static final DatabricksDriverErrorCode EXECUTE_STATEMENT_CANCELLED

#### RESULT_SET_ERROR

    public static final DatabricksDriverErrorCode RESULT_SET_ERROR

#### UNSUPPORTED_OPERATION

    public static final DatabricksDriverErrorCode UNSUPPORTED_OPERATION

#### NOT_IMPLEMENTED_OPERATION

    public static final DatabricksDriverErrorCode NOT_IMPLEMENTED_OPERATION

#### STATEMENT_EXECUTION_TIMEOUT

    public static final DatabricksDriverErrorCode STATEMENT_EXECUTION_TIMEOUT

#### STATEMENT_CLOSED

    public static final DatabricksDriverErrorCode STATEMENT_CLOSED

#### CONNECTION_CLOSED

    public static final DatabricksDriverErrorCode CONNECTION_CLOSED

#### LOGGING_INITIALISATION_ERROR

    public static final DatabricksDriverErrorCode LOGGING_INITIALISATION_ERROR

#### RESULT_SET_CLOSED

    public static final DatabricksDriverErrorCode RESULT_SET_CLOSED

#### VOLUME_OPERATION_PARSING_ERROR

    public static final DatabricksDriverErrorCode VOLUME_OPERATION_PARSING_ERROR

#### THREAD_INTERRUPTED_ERROR

    public static final DatabricksDriverErrorCode THREAD_INTERRUPTED_ERROR

#### INPUT_VALIDATION_ERROR

    public static final DatabricksDriverErrorCode INPUT_VALIDATION_ERROR

#### COMPLEX_DATA_TYPE_STRUCT_CONVERSION_ERROR

    public static final DatabricksDriverErrorCode COMPLEX_DATA_TYPE_STRUCT_CONVERSION_ERROR

#### COMPLEX_DATA_TYPE_ARRAY_CONVERSION_ERROR

    public static final DatabricksDriverErrorCode COMPLEX_DATA_TYPE_ARRAY_CONVERSION_ERROR

#### COMPLEX_DATA_TYPE_MAP_CONVERSION_ERROR

    public static final DatabricksDriverErrorCode COMPLEX_DATA_TYPE_MAP_CONVERSION_ERROR

#### INVALID_STATE

    public static final DatabricksDriverErrorCode INVALID_STATE

#### INLINE_CHUNK_PARSING_ERROR

    public static final DatabricksDriverErrorCode INLINE_CHUNK_PARSING_ERROR

#### DECOMPRESSION_ERROR

    public static final DatabricksDriverErrorCode DECOMPRESSION_ERROR

#### VOLUME_OPERATION_URL_GENERATION_ERROR

    public static final DatabricksDriverErrorCode VOLUME_OPERATION_URL_GENERATION_ERROR

#### VOLUME_OPERATION_LOCAL_FILE_EXISTS_ERROR

    public static final DatabricksDriverErrorCode VOLUME_OPERATION_LOCAL_FILE_EXISTS_ERROR

#### VOLUME_OPERATION_EXCEPTION

    public static final DatabricksDriverErrorCode VOLUME_OPERATION_EXCEPTION

#### VOLUME_OPERATION_PUT_OPERATION_EXCEPTION

    public static final DatabricksDriverErrorCode VOLUME_OPERATION_PUT_OPERATION_EXCEPTION

#### VOLUME_OPERATION_DELETE_OPERATION_EXCEPTION

    public static final DatabricksDriverErrorCode VOLUME_OPERATION_DELETE_OPERATION_EXCEPTION

#### VOLUME_OPERATION_FILE_DOWNLOAD_ERROR

    public static final DatabricksDriverErrorCode VOLUME_OPERATION_FILE_DOWNLOAD_ERROR

#### VOLUME_OPERATION_INVALID_STATE

    public static final DatabricksDriverErrorCode VOLUME_OPERATION_INVALID_STATE

#### SESSION_ID_PARSING_EXCEPTION

    public static final DatabricksDriverErrorCode SESSION_ID_PARSING_EXCEPTION

#### BATCH_EXECUTE_EXCEPTION

    public static final DatabricksDriverErrorCode BATCH_EXECUTE_EXCEPTION

#### TEMPORARY_REDIRECT_EXCEPTION

    public static final DatabricksDriverErrorCode TEMPORARY_REDIRECT_EXCEPTION

#### JSON_PARSING_ERROR

    public static final DatabricksDriverErrorCode JSON_PARSING_ERROR

#### CATALOG_OR_SCHEMA_FETCH_ERROR

    public static final DatabricksDriverErrorCode CATALOG_OR_SCHEMA_FETCH_ERROR

#### INTEGRATION_TEST_ERROR

    public static final DatabricksDriverErrorCode INTEGRATION_TEST_ERROR

#### SDK_CLIENT_ERROR

    public static final DatabricksDriverErrorCode SDK_CLIENT_ERROR

#### OPERATION_TIMEOUT_ERROR

    public static final DatabricksDriverErrorCode OPERATION_TIMEOUT_ERROR

#### SSL_HANDSHAKE_ERROR

    public static final DatabricksDriverErrorCode SSL_HANDSHAKE_ERROR

#### AUTH_ERROR

    public static final DatabricksDriverErrorCode AUTH_ERROR

#### INVALID_CHUNK_STATE_TRANSITION

    public static final DatabricksDriverErrorCode INVALID_CHUNK_STATE_TRANSITION

#### CHUNK_READY_ERROR

    public static final DatabricksDriverErrorCode CHUNK_READY_ERROR

#### TRANSACTION_SET_AUTOCOMMIT_ERROR

    public static final DatabricksDriverErrorCode TRANSACTION_SET_AUTOCOMMIT_ERROR

#### TRANSACTION_COMMIT_ERROR

    public static final DatabricksDriverErrorCode TRANSACTION_COMMIT_ERROR

#### TRANSACTION_ROLLBACK_ERROR

    public static final DatabricksDriverErrorCode TRANSACTION_ROLLBACK_ERROR

#### RATE_LIMIT_EXCEEDED

    public static final DatabricksDriverErrorCode RATE_LIMIT_EXCEEDED

### Method Detail

#### values

    public static DatabricksDriverErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabricksDriverErrorCode c : DatabricksDriverErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabricksDriverErrorCode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null